Bug 110753 - startup-notification should BuildRequires: XFree86-devel, startup-notification-devel should Requires: XFree86-devel
startup-notification should BuildRequires: XFree86-devel, startup-notificatio...
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: startup-notification (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-24 09:06 EST by Maxim Dziumanenko
Modified: 2007-04-18 12:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-13 23:24:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maxim Dziumanenko 2003-11-24 09:06:00 EST
Description of problem:
1. X11 development libraries/headers needed to build
startup-notification, thus startup-notification should BuildRequires:
XFree86-devel
2. sh-common.h from startup-notification-devel package includes
<X11/Xlib.h> which belongs to XFree86-devel package, thus
startup-notification-devel should Requires: XFree86-devel

Version-Release number of selected component (if applicable):
startup-notification-0.5-2

How reproducible:
Always

Steps to Reproduce:
1.rpm -e XFree86-devel
2.rpmbuild --rebuild startup-notification-0.5-2.src.rpm
3.Wait for build errors
  
Actual results:


Expected results:


Additional info:
Comment 1 Miloslav Trmac 2003-11-24 09:59:51 EST
Triage->Easyfix
Comment 2 Warren Togami 2004-04-13 23:24:31 EDT
rawhide soon

Note You need to log in before you can comment on or make changes to this bug.